<?php

namespace app\controller\administradores;

// Sprint 4: error_reporting(0) eliminado

use app\models\votos;

require_once '../../../app/models/conexion.php';
require_once '../../../app/models/votos.php';

$votos = new votos();

if ($votos->total() == 0) {
    echo "No hay votos";
    exit;
}

$filename = "votos.csv";
$f = fopen('php://memory', 'w');

$encabezados = array('ID', 'Número', 'Zona');

$encabezados_convertidos = array_map(function ($elemento) {
    return mb_convert_encoding($elemento, 'Windows-1252', 'UTF-8');
}, $encabezados);

fputcsv($f, $encabezados_convertidos);

foreach ($votos->todos() as $fila) {
    $fila_convertida = array_map(function ($elemento) {
        return mb_convert_encoding($elemento, 'Windows-1252', 'UTF-8');
    }, $fila);

    fputcsv($f, $fila_convertida);
}

fseek($f, 0);

header('Content-Type: text/csv; charset=Windows-1252');
header('Content-Disposition: attachment; filename="' . $filename . '";');

fpassthru($f);
